IrayPlusMaterialAttribute Class

class NXOpen.Display.IrayPlusMaterialAttribute

Bases: NXOpen.TaggedObject

Represents an IrayPlus Attribute

This class is restricted to being called from a program running during an Interactive NX session. If run from a non-interactive session it will return None.

IrayPlusMaterialAttribute is not supported in KF.

New in version NX12.0.0.

Properties

Property Description
ParameterName Returns or sets the parameter name of specific material object.
Tag Returns the Tag for this object.

Methods

Method Description
GetValueAsString Gets an attribute’s value as string for specific attribute object The attribute object can be queried from function: NXOpen.Display.IrayPlusMaterialEditorBuilder.GetComponentParameter().
SetValueFromString Sets attribute’s value for specific attribute object.

Property Detail

ParameterName

IrayPlusMaterialAttribute.ParameterName

Returns or sets the parameter name of specific material object.

-------------------------------------

Getter Method

Signature ParameterName

Returns:
Return type:str

New in version NX12.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ParameterName

Parameters:parameterName (str) –

New in version NX12.0.0.

License requirements: None.

Method Detail

GetValueAsString

IrayPlusMaterialAttribute.GetValueAsString

Gets an attribute’s value as string for specific attribute object The attribute object can be queried from function: NXOpen.Display.IrayPlusMaterialEditorBuilder.GetComponentParameter().

NOTE: The returned attribueValue TEXT should be freed (TEXT_free) by the caller.

Signature GetValueAsString()

Returns:
Return type:str

New in version NX12.0.0.

License requirements: None.

SetValueFromString

IrayPlusMaterialAttribute.SetValueFromString

Sets attribute’s value for specific attribute object.

Users can follow the steps: (1) Use NXOpen.Display.IrayPlusMaterialEditorBuilder.GetComponentParameter() to get all the attribute objects of specific material component. (2)Iterate all these attribute objects. Find the specific attribute you want to modify. For example user want to ReflectionColour-ColourOffset in ClearCoat layer. (3)Pass the attribute object and the new attribute value “1.000000000000000, 0.000000000000000,0.000000000000000” as parameter to call this function.

Signature SetValueFromString(attribueValue)

Parameters:attribueValue (str) –

New in version NX12.0.0.

License requirements: None.